cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Known issues updated. Learn more

default

no

Highlighted

Centos 7.2 server install Dropbox

Level 2

I'm tring to install dropbox app on centos7.2 server.

Tried using the .rpm files  but kept getting this:

python3 is needed by nautilus-dropbox-2019.01.31-1.fc21.x86_64
python3-gobject >= 3.14.0 is needed by nautilus-dropbox-2019.01.31-1.fc21.x86_64
Installed python3.6, still the same issue.
WechatIMG4863.png
Then Tried build with source code. Got this error:

ImportError: /lib64/libc.so.6: version `GLIBC_2.18' not found
When I try to fix this error, I screwed up. My system crashed, I have to reinstall system.
I need help.

 

1 Reply

Re: Centos 7.2 server install Dropbox

Dropboxer

Hey there @momaek, how are you today?

Even though your distro is not supported at the time, you should be able to run the desktop application as long as you meet the minimum requirements from the following page: https://help.dropbox.com/desktop-web/system-requirements

Specifically, in regards to the headless Dropbox app on Linux:

If you’d like to run the Dropbox app “headless” (using the command line only), you only need the Dropbox app essential requirements. Then you can install the app and use the Linux Command Line Interface (CLI) to control the desktop app.

Since your computer is running Linux, and you want to run the Dropbox app, you need to use:

  • Operating system Ubuntu 14.04 or higher, Fedora 21 or higher
  • Glibc 2.19 or higher
  • The latest Dropbox app for Linux
  • A Dropbox folder on an ext4-formatted hard drive or partition
    • Note: ecryptfs is not supported, but Dropbox will continue to sync with supported file systems that are encrypted via full disk encryption (e.g. LUKS)

[Note: If your device does not meet the operating system requirements, you may still be able to use the Dropbox desktop application, but results may vary.]

  • If you experience an issue and contact Dropbox support without the correct system requirements for Linux, you will be asked to use the correct system requirements

In addition, if you’d like to get the full Dropbox desktop app, you need to use:

  • A computer capable of running the required operating system, and one of the following desktop environments:
    • GNOME shell (may need the TopIcons extension to get the tray icon)
    • Unity
    • GNOME Classic
    • XFCE with the corresponding Nautilus dependencies
  • These additional requirements, when applicable:
    • GTK 2.24 or higher
    • Glib 2.40 or higher
    • Libappindicator 12.10 or higher
    • Nautilus 3.10.1 or higher

Let me know of any updates!

 


Walter
Community Moderator @ Dropbox
https://dropbox.com/support


Heart Did this post help you? If so please give it a Like below. 
White check mark Did this post fix your issue/answer your question? If so please press the 'Accept as Solution' button to help others find it.
Arrows Counter Clock Still stuck? Ask me a question! (
Questions asked in the community will likely receive an answer within 4 hours!)

Reply
Loading...
Installation and Desktop App Issues

Have a question? Our Dropbox Community is here to help!

Post your question or search for an answer below.


Learn more about using the Community by reading our Community Guidelines.


Hi anonymous,

If you need more help you can log a ticket with our Support Team here (expected response time 24 hours), or contact us on Twitter or Facebook.

For more info on available support options, see this article.

If you found the answer to your question, please 'like' the post to say thanks to the user!

Centos 7.2 server install Dropbox
71 Views
1 Reply
0 Likes
Who's talking
Top contributors to this post